@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
	font-family: "Poppins", sans-serif;
	margin: 0;
	padding: 0;
	box-sizing:border-box ;
	list-style: none;
	text-decoration: none;
}
body
{
	background: #f8f8f8;
}
:root
{
	--gradient: linear-gradient(to right, #e2336b, #fcac46);
}

.sidebar 
{
	position: fixed;
	width: 300px;
	height: 100vh;
	background: #f8f8f8;
	padding: 20px;
}
.main-home 
{
  position: absolute;
  width: calc(100% - 300px);
  min-height: 100vh;
  top: 0;
  left: 300px;
  background: #fff;
  border-radius: 1rem 0 0 1rem;
  z-index: 1000;
  padding: 20px;
  overflow: hidden;
}
.logo img 
{
	width: 140px;
	height: auto;
}
.profile 
{
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	margin-top: 1.4rem;
}
.profile-img 
{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 80px;
	height: 80px;
	border-radius: 50%;
	border: 2px solid #e2336b;
}

.profile-img img
{
	width: 70px;
	height: 70px;
	object-fit: cover;
	border-radius: 50%;
	object-position: center;
}

.name 
{
	display: flex;
	align-items: center;
	margin: 1rem 0 0.4rem;
}

.name h1
{
	font-size: 1.1rem;
}

.name img 
{
	margin-left: 4px;
	width: 20px;
	object-fit: contain;
}
.about 
{
	display: flex;
	justify-content: space-between;
	margin-top: 1rem;
}
.box
{
	text-align: center;
}
.box h3
{
	font-size: 1rem;
	font-weight: 500;
}

.box span 
{
	font-size: 0.938rem;
	font-weight: 400; 
}
.menu a 
{
	width: 100%;
	font-size: 1rem;
	color: #000;
	display: flex;
	align-items: center;
	line-height: 40px;
}
.menu a:hover,
.menu .active {
	color: #e2336b;
}
.menu .icon 
{
	margin-right: 1rem;
	font-size: 20px;
}
.menu a:hover::before,
.menu .active::before 
{
	content:'';
	position:absolute;
	right: 0;
	width: 2px;
	height: 17px;
	background: #e2336b;

}
/*Main Home*/
.header
{
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.search
{
	display: flex;
	align-items: center;
	background: white;
	width: 200px;
	height: 2.4rem;
	padding: 10px;
	border-radius: 10px;
}
.search input
{
	border: none;
	outline: none;
	background: transparent;
	margin-left: 7px;

}
.search o
{
	font-size: 20px;

}
.header-content 
{
	display: flex;
	align-items: center;
}
.header-content i
{
	color: #000;
	font-size: 20px;
	margin-left: 1rem;
}
.header-content .btn 
{
	display: flex;
	align-items: center;
	padding: 10px;
	border-radius: 8px;
	background: var(--gradient);
	margin-left: 1rem;
}
.header-content .btn i 
{
	color: hsla(0, 0%, 100%, 0.6);
	margin-right: 10px;
}
.btn-text 
{
	color: white;
}
.stories-title
{
	display: flex;
	justify-content: space-between;
	margin-top: 2rem;
}
.stories-title h1
{
	font-size: 1.8rem;
}
.stories-title .btn
{
	display: flex;
	align-items: center;
	color: #000;
}
.stories-title .btn i
{
	font-size: 24px;
	margin-right: 10px;
}
.stories
{
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-top: 2rem;
}
.stories-img 
{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 80px;
	height: 80px;
	border-radius: 50%;
	
}
.stories-img img
{
	width: 70px;
	height: 70px;
	object-fit: cover;
	border-radius: 50%;
	object-position: center;
}
.stories-img.color
{
	border: 2px solid #e2336b;
}
.stories-img .add
{
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 20px;
	width: 70px;
	height: 70px;
	border-radius: 50%;
	color: #fff;
	background: hsla(246, 100%, 67%, 0.7);
}
.feed
{
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-top: 1rem;
}

.feed h1
{
	font-size: 1.7rem;
	color: black;
}
.feed-text
{
	display: flex;
	align-items: center;
	color: black;
}
.feed-text h2
{
	font-size: 1rem;
	margin-right: 1rem;
	color: black;
}
.main-posts
{
	display:grid;
	grid-template-columns:repeat(auto-fit, minmax(300px,auto));
	gap: 11px;
}
.post-box
{
	width: 300px;
}
.post-box img 
{
	width: 100%;
	height: 344px;
	object-fit: cover;
	border-radius: 0.5rem;
	border-color: #e2336b;
}
.post-info
{
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.post-img
{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 35px;
	height: 35px;
	border: 2px solid #e2336b;
	border-radius: 50%;
}
.post-img img 
{
	width: 27px;
	height: 27px;
	object-fit: cover;
	border-radius: 50%;
	object-position: center;
}
.post-profile
{
	display: flex;
	align-items: center;
}
.post-profile h3
{
	font-size: 12px;
	font-weight: 600px;
	margin-left: 5px;
}
.likes
{
	display: flex;
	align-items: center;
	color: black;
}
.likes i
{
	font-size: 20px;
	margin-left: 10px;
}
.likes span 
{
	font-size: 14px;
	margin-left: 7px;
}